Commit e2bce14c authored by Leo's avatar Leo

community/R: add R to R-dev depends and update install msg

parent 3dac51cb
......@@ -3,7 +3,7 @@
# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
pkgname=R
pkgver=3.6.1
pkgrel=0
pkgrel=1
pkgdesc="Language and environment for statistical computing"
url="https://www.r-project.org"
arch="all"
......@@ -16,7 +16,7 @@ makedepends="$depends_dev cairo-dev libxmu-dev openjdk8-jre-base pango-dev
perl tiff-dev tk-dev
"
install="$pkgname.post-install"
subpackages="$pkgname-mathlib $pkgname-dev $pkgname-doc"
subpackages="$pkgname-mathlib $pkgname-dev:_dev $pkgname-doc"
source="https://cran.r-project.org/src/base/R-${pkgver%%.*}/$pkgname-$pkgver.tar.gz"
_rhome="usr/lib/R"
......@@ -95,4 +95,9 @@ mathlib() {
mv "$pkgdir"/usr/lib/libRmath.so* "$subpkgdir"/usr/lib
}
_dev() {
depends="R=$pkgver-r$pkgrel"
default_dev
}
sha512sums="fae7d114437c4b5d10fcb2a4265acd707ad2a4810eeb7c11e25caca1d85093a1495c2e13457b4894c1508830ec1b2be95379b7d54007cf3e574c2a9eea28ef80 R-3.6.1.tar.gz"
......@@ -5,4 +5,6 @@ cat <<EOF
* If you want to install R packages from CRAN that contains native extensions,
* then you must also install R-dev.
*
* To avoid warnings about R.css when installing R extensions also install R-doc.
*
EOF
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment